{
  "name": "aiagenttool",
  "display_name": "Require Specific Output Format",
  "description": "",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "hasOutputParser",
      "display_name": "Require Specific Output Format",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "notice",
      "display_name": "Connect an <a data-action=",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "needsFallback",
      "display_name": "Enable Fallback Model",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "fallbackNotice",
      "display_name": "Connect an additional language model on the canvas to use it as a fallback if the main model fails",
      "kind": "notice",
      "required": false,
      "default": ""
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/agents/Agent/V2/AgentToolV2.node.ts"
}